/* -*- C -*- */
// Copyright (C) 2010 Johan Hake
// Licensed under the GNU LGPL Version 2.1.
//
// First added:  2010-05-31
// Last changed: 2010-08-23
//
// ===========================================================================
// File handling version and swigversion of GillStep
// ===========================================================================

// Include code to generate a __swigversion__ attribute to the cpp module
// Add prefix to avoid naming problems with other modules

#define  GILLSTEP_VERSION PACKAGE_VERSION

%inline %{
int gillstep_swigversion() { return SWIGVERSION; }
%}

%pythoncode %{
__version__ = GILLSTEP_VERSION

"""Code for adding swig version to ufc extension module."""
tmp = hex(gillstep_swigversion())
__swigversion__ = ".".join([tmp[-5],tmp[-3],tmp[-2:]])

del tmp, gillstep_swigversion, GILLSTEP_VERSION
%}

