// Copyright (C) 2010 Johan Hake
// Licensed under the GNU LGPL Version 3.0
//
// First added:  2010-01-12
// Last changed: 2010-08-23

#ifndef __GILLSTEP_H
#define __GILLSTEP_H

// Version of gillstep
#define GILLSTEP_VERSION PACKAGE_VERSION

// Gillstep interface
#include <boost/bind.hpp>
#include <gillstep/common.h>
#include <gillstep/temperature.h>
#include <gillstep/GillespieStepper.h>
#include <gillstep/MarkovModel.h>
#include <gillstep/MersenneTwister.h>
#include <gillstep/DiscreteValueReceiver.h>
#include <gillstep/DiscreteValueStepper.h>

#endif
