/* -*- C -*- */
// Copyright (C) 2010 Johan Hake
// Licensed under the GNU LGPL Version 2.1.
//
// First added:  2010-05-31
// Last changed: 2010-09-01
//
// ===========================================================================
// Main SWIG directive file for GillStep 
// ===========================================================================

%module(package="gillstep") cpp

%{
#include "gillstep.h"
#include <numpy/arrayobject.h>
%}

%init%{
import_array();
%}

%feature("autodoc", "1");
%include <exception.i>
%include <std_string.i>

%include "gillstep/swig/typemaps.i"
%include "gillstep/swig/pre.i"
%include "gillstep/swig/interface.i"
%include "gillstep/swig/post.i"

%include "gillstep/swig/version.i"
